Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005189 [JEDI VCL] 03 Donations minor N/A 2010-03-08 09:03 2011-06-10 16:09
Reporter MC View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005189: TJVImage State : stDisabled
Description The attached modified TJVImage supports settings an image for disabled state.
If "Enabled" changes from FALSE to TRUE, state is set to stDefault.
If "Enabled" changed from TRUE to FALSE, state is set to stDisabled.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvImage.pas [^] (12,561 bytes) 2010-03-08 09:03

- Relationships

-  Notes
(0017233)
MC (reporter)
2010-03-08 09:31

To prevent the state from beeing resettet by MouseEnter the following lines should be included in "SetState":

procedure TJvImage.SetState(Value: TPicState);

  function NotEmpty(Value: TPicture): Boolean;
  begin
    Result := (Value <> nil) and (Value.Width > 0) and (Value.Height > 0);
  end;

begin
  if not Enabled then
  begin
    value:=stDisabled;
  end;

...
(0017234)
MC (reporter)
2010-03-08 09:43

The above change requires also changing SetEnabled:

procedure TJvImage.SetEnabled(Value: Boolean);
begin
  inherited;

  if not Value then
        State:=stDisabled
  else
        State:=stDefault;
end;
(0017283)
obones (administrator)
2010-03-09 12:13

This is now in SVN

- Issue History
Date Modified Username Field Change
2010-03-08 09:03 MC New Issue
2010-03-08 09:03 MC File Added: JvImage.pas
2010-03-08 09:31 MC Note Added: 0017233
2010-03-08 09:43 MC Note Added: 0017234
2010-03-09 12:13 obones Note Added: 0017283
2010-03-09 12:13 obones Assigned To => obones
2010-03-09 12:13 obones Status new => resolved
2010-03-09 12:13 obones Resolution open => fixed
2010-03-09 12:13 obones Fixed in Version => Daily / SVN
2010-03-09 12:13 obones Target Version => 3.40 - not yet released
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker